Bug 8868 - Cron locking up.
Summary: Cron locking up.
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vixie-cron   
(Show other bugs)
Version: 6.1
Hardware: sparc Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-25 19:21 UTC by D Donovan
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-25 03:27:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description D Donovan 2000-01-25 19:21:35 UTC
Cron cannot make it through 24 hours without locking up.  When it locks up
ps -x shows it to still be running, but it ceases executing it's assigned
processes.  to function again crond must killed and restarted.  It does not
make any difference what commands, which order, or which user, are
involved.  I have not been able to make it lock up on purpose.  It does not
matter if a user is logged in or not.  it will eventually happen either
way.

Comment 1 Bill Nottingham 2000-01-25 19:32:59 UTC
If you strace the locked up cron process, is it
doing anything?

Comment 2 Bill Nottingham 2000-03-20 16:22:59 UTC
closed, lack of input.

Comment 3 lionel.cons 2000-06-29 10:15:58 UTC
We too suffer from this problem (but on i386). Here is what strace gives us:

# strace -f -p 403
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigaction(SIGCHLD, NULL, {0x8049890, [], SA_RESTART|0x4000000}, 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
nanosleep({21474836, 0}, 

So it seems that cron is sleeping for 250 days...

Can this bug be reopened?

Comment 4 Stephen John Smoogen 2003-01-25 03:27:05 UTC
Bug was for Red Hat Linux on Sparc architecture. This Hardware is no longer
supported by Red Hat and the 6.1 release is considered to be end of lifed.
Please look at http://auroralinux.org/ as this project has continued work on
this hardware.


Note You need to log in before you can comment on or make changes to this bug.